version: '2'
services:
  louiesalterier-app:
    image: louiesalterier
    environment:
      - _JAVA_OPTIONS=-Xmx512m -Xms256m
      - SPRING_PROFILES_ACTIVE=prod,swagger
      - MANAGEMENT_METRICS_EXPORT_PROMETHEUS_ENABLED=true
      - SPRING_DATASOURCE_URL=jdbc:postgresql://louiesalterier-postgresql:5432/louiesAlterier
      - JHIPSTER_SLEEP=30 # gives time for other services to boot before the application
    ports:
      - 8080:8080
  louiesalterier-postgresql:
    extends:
      file: postgresql.yml
      service: louiesalterier-postgresql
